package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridCompanyEconomyInfo;
import com.ruoyi.system.domain.grid.GridCompanyEconomyInfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridCompanyEconomyInfoMapper {
    long countByExample(GridCompanyEconomyInfoExample example);

    int deleteByExample(GridCompanyEconomyInfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridCompanyEconomyInfo record);

    int insertSelective(GridCompanyEconomyInfo record);

    List<GridCompanyEconomyInfo> selectByExample(GridCompanyEconomyInfoExample example);

    GridCompanyEconomyInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridCompanyEconomyInfo record, @Param("example") GridCompanyEconomyInfoExample example);

    int updateByExample(@Param("record") GridCompanyEconomyInfo record, @Param("example") GridCompanyEconomyInfoExample example);

    int updateByPrimaryKeySelective(GridCompanyEconomyInfo record);

    int updateByPrimaryKey(GridCompanyEconomyInfo record);
}